# Interface TextTrackMenuItemComponentDependencies

interface TextTrackMenuItemComponentDependencies {
componentOptions: TextTrackMenuItemOptions;
name: string;
type?: string;
}

#### Hierarchy (view full)

- MenuItemComponentDependencies
  - TextTrackMenuItemComponentDependencies

#####
Index

### Properties

componentOptions
name
type?

## Properties

### componentOptions

componentOptions: TextTrackMenuItemOptions

Overrides MenuItemComponentDependencies.componentOptions

### name

name: string

Inherited from MenuItemComponentDependencies.name

### `Optional` type

type?: string

Inherited from MenuItemComponentDependencies.type